Subject: Re: [PATCH] contrib/workdir: add a simple script to create a working directory

From: Eric Lesh <[email-masked]>
Date: Tue, 27 Mar 2007 06:50:18 -0700

On Tue, 2007-03-27 at 13:59 +0100, Julian Phillips wrote:
> > Shouldn't this be made to work with bare repositories as well?
> 
> I guess that depends ...
> 
> There's probably no reason that it couldn't, but it wasn't something that 
> I was interested in seeing it do.  I don't have any bare repositories on 
> my development machine, and don't anticipate having any in the future.
> 

Also, the symlinked config file will have core.bare = true, which will
make anything with require_work_tree refuse to run.  (Unless
git-sh-setup's is_bare_repository was made to look for .git first, then
check for core.bare.  But that is probably useless.)

You're right in that there may not be many use cases for this.  Sorry
for the noise.

-Eric